on:
  push:
    branches:
      - main

jobs:
  web-deploy:
    name: 🎉 Deploy website
    runs-on: ubuntu-latest
    steps:
      - name: 🚚 Get latest code
        uses: actions/checkout@v3

      - name: 📂 Sync files
        uses: SamKirkland/FTP-Deploy-Action@v4.3.4
        with:
          server: ftp.dalishop-dz.com
          username: ${{ secrets.ftp_username }}
          password: ${{ secrets.ftp_password }}
          exclude: |
            **/.git*
            **/.git*/**
            **/node_modules/**
            fileToExclude.txt
